import matplotlib.pyplot as plt
import numpy as np
import seaborn as sns
import pandas as pd

mpg = sns.load_dataset("mpg")
mpg_mod = mpg[mpg["origin"] != "japan"]

plt.figure(figsize=(15, 5))
w_list = [1.25, 1, 0.75, 0.5]
for i, w in enumerate(w_list):
    plt.subplot(1, len(w_list), i + 1)
    sns.boxplot(x="origin", y="mpg", width=w, data=mpg_mod)

plt.show()
